% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-edges.R
\name{draw_straight_edge_base}
\alias{draw_straight_edge_base}
\title{Draw Straight Edge}
\usage{
draw_straight_edge_base(
  x1,
  y1,
  x2,
  y2,
  col = "gray50",
  lwd = 1,
  lty = 1,
  arrow = TRUE,
  asize = 0.02,
  bidirectional = FALSE,
  start_lty = 1,
  start_fraction = 0,
  arrow_angle = pi/6
)
}
\arguments{
\item{x1, y1}{Start point coordinates.}

\item{x2, y2}{End point coordinates.}

\item{col}{Edge color.}

\item{lwd}{Line width.}

\item{lty}{Line type.}

\item{arrow}{Logical: draw arrow at target?}

\item{asize}{Arrow size.}

\item{bidirectional}{Logical: draw arrow at source too?}

\item{start_lty}{Line type for start segment. 1=solid (default), 2=dashed, 3=dotted.}

\item{start_fraction}{Fraction of edge length for start segment (0-0.5). Default 0.}

\item{arrow_angle}{Arrow head angle in radians. Default pi/6 (30 degrees).}
}
\description{
Renders a straight edge between two points with optional arrow.
}
\keyword{internal}
